{%- from "cinder/map.jinja" import controller with context %}

{%- if controller.get('db_purge', {}).get('enabled', False) %}

{%- if controller.db_purge.days is defined %}
{%-   set cmd_args = controller.db_purge.days|string %}
{%- else %}
{%-   set cmd_args = '0' %}
{%- endif %}

cinder_db_clean:
  cmd.run:
  - name: cinder-manage db purge {{ cmd_args }}
  - runas: 'cinder'
  {%- if grains.get('noservices') or controller.get('role', 'primary') == 'secondary' %}
  - onlyif: /bin/false
  {%- endif %}
{%- endif %}
